Loading...
Searching...
No Matches
Dune::cpgrid::LevelGlobalIdSet Class Reference
Inheritance diagram for Dune::cpgrid::LevelGlobalIdSet:

## Classes

struct | Codim
| Export supported entity types. More...

## Public Types

typedef std::int64_t | IdType

## Public Member Functions

void | swap (std::vector< int > &cellMapping, std::vector< int > &faceMapping, std::vector< int > &pointMapping)
| LevelGlobalIdSet (std::shared_ptr< const IdSet > ids, const CpGridData *view)
template<int codim>
IdType | id (const typename Codim< codim >::Entity &e) const
template<int codim>
IdType | id (const EntityRep< codim > &e) const
template<class EntityType>
IdType | id (const EntityType &e) const
template<int cc>
IdType | subId (const cpgrid::Entity< 0 > &e, int i) const
IdType | subId (const cpgrid::Entity< 0 > &e, int i, int cc) const
template<int codim>
IdType | getMaxCodimGlobalId () const
IdType | getMaxGlobalId () const
Public Member Functions inherited from Dune::cpgrid::GlobalIdMapping
void | swap (std::vector< int > &cellMapping, std::vector< int > &faceMapping, std::vector< int > &pointMapping)
| Swap data for initialization.
template<int codim>
std::vector< int > & | getMapping ()
| Get the vector with the mappings for a codimension.
template<int codim>
const std::vector< int > & | getMapping () const
| Get the vector with the mappings for a codimension.

## Static Public Attributes

static constexpr int | dimension = 3

## Friends

class | CpGridData
class | ReversePointGlobalIdSet

## Additional Inherited Members

Protected Attributes inherited from Dune::cpgrid::GlobalIdMapping
std::vector< int > | cellMapping_
| A vector containing the global id of cell with index i at position i.
std::vector< int > | faceMapping_
| A vector containing the global id of face with index i at position i.
std::vector< int > | pointMapping_
| A vector containing the global id of point with index i at position i.

The documentation for this class was generated from the following files:

- opm/grid/cpgrid/Indexsets.hpp
- opm/grid/cpgrid/Indexsets.cpp